with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.IHTMLControlRange2_Interface is

   procedure Initialize (This : in out IHTMLControlRange2_Type) is
   begin
      Set_IID (This, IID_IHTMLControlRange2);
   end Initialize;

   function Pointer (This : IHTMLControlRange2_Type)
     return Pointer_To_IHTMLControlRange2
   is
   begin
      return To_Pointer_To_IHTMLControlRange2 (Address (This));
   end Pointer;

   procedure Attach (This    : in out IHTMLControlRange2_Type;
                     Pointer : in     Pointer_To_IHTMLControlRange2)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   procedure addElement
     (This : IHTMLControlRange2_Type;
      item : Pointer_To_IHTMLElement)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.addElement
         (Pointer (This),
          item));

   end addElement;

end MSHTML.IHTMLControlRange2_Interface;

